#### D.15.31.7 Sfunction

Procedure from library `tropicalEllipticCovers.lib` (see tropicalEllipticCovers_lib).

Usage:
  Sfunction(z,k); z poly, k int

Assume:
  z is a polynomial and k is an integer

Return:
  poly

Theory:
  Returns the S-function in the form of (1+X), where X is a taylor series expansion of the sinh function upto k terms.

Example:

    LIB "tropicalEllipticCovers.lib";
    ring R=0,(x,y),dp;
    Sfunction(x,3);

User manual for Singular version 4.4.1, 2025, generated by texi2html.